#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# ember-runtime Module

Defined in: `packages/ember-runtime/lib/system/object.js:11`

Defines string helper methods including string formatting and localization. Unless `EmberENV.EXTEND_PROTOTYPES.String` is `false` these methods will also be added to the `String.prototype` as well.

This module provides the following classes:

- ContainerProxyMixin
- Ember.ActionHandler
- Ember.Array
- Ember.ArrayProxy
- Ember.Comparable
- Ember.Controller
- Ember.Copyable
- Ember.CoreObject
- Ember.Enumerable
- Ember.Evented
- Ember.Freezable
- Ember.inject
- Ember.MutableArray
- Ember.MutableEnumerable
- Ember.Namespace
- Ember.NativeArray
- Ember.Object
- Ember.Observable
- Ember.PromiseProxyMixin
- Ember.ProxyMixin
- Ember.String
- Ember.TargetActionSupport
- Function
- RegistryProxyMixin
- String